Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata
Interface DocumentRoot

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  DocumentRootImpl

    public interface DocumentRoot

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Document Root'.

The following features are supported:

- `Mixed`
- `XMLNS Prefix Map`
- `XSI Schema Location`
- `Document Entry`
- `Folder`
- `Multiple Document Set`
- `Provide And Register Document Set`
- `Submission Set`

See Also:
  `MetadataPackage.getDocumentRoot()`

Method Summary
`DocumentEntryType` | `getDocumentEntry()` Returns the value of the 'Document Entry' containment reference.
`FolderType` | `getFolder()` Returns the value of the 'Folder' containment reference.
`org.eclipse.emf.ecore.util.FeatureMap` | `getMixed()` Returns the value of the 'Mixed' attribute list.
`MultipleDocumentSetType` | `getMultipleDocumentSet()` Returns the value of the 'Multiple Document Set' containment reference.
`ProvideAndRegisterDocumentSetType` | `getProvideAndRegisterDocumentSet()` Returns the value of the 'Provide And Register Document Set' containment reference.
`SubmissionSetType` | `getSubmissionSet()` Returns the value of the 'Submission Set' containment reference.
`org.eclipse.emf.common.util.EMap` | `getXMLNSPrefixMap()` Returns the value of the 'XMLNS Prefix Map' map.
`org.eclipse.emf.common.util.EMap` | `getXSISchemaLocation()` Returns the value of the 'XSI Schema Location' map.
`void` | `setDocumentEntry(DocumentEntryType value)` Sets the value of the '`Document Entry`' containment reference.
`void` | `setFolder(FolderType value)` Sets the value of the '`Folder`' containment reference.
`void` | `setMultipleDocumentSet(MultipleDocumentSetType value)` Sets the value of the '`Multiple Document Set`' containment reference.
`void` | `setProvideAndRegisterDocumentSet(ProvideAndRegisterDocumentSetType value)` Sets the value of the '`Provide And Register Document Set`' containment reference.
`void` | `setSubmissionSet(SubmissionSetType value)` Sets the value of the '`Submission Set`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMixed

    org.eclipse.emf.ecore.util.FeatureMap getMixed()

  Returns the value of the 'Mixed' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Mixed' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `MetadataPackage.getDocumentRoot_Mixed()`

### getXMLNSPrefixMap

    org.eclipse.emf.common.util.EMap getXMLNSPrefixMap()

  Returns the value of the 'XMLNS Prefix Map' map. The key is of type `String`, and the value is of type `String`,

  If the meaning of the 'XMLNS Prefix Map' map isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'XMLNS Prefix Map' map.
  See Also:
    `MetadataPackage.getDocumentRoot_XMLNSPrefixMap()`

### getXSISchemaLocation

    org.eclipse.emf.common.util.EMap getXSISchemaLocation()

  Returns the value of the 'XSI Schema Location' map. The key is of type `String`, and the value is of type `String`,

  If the meaning of the 'XSI Schema Location' map isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'XSI Schema Location' map.
  See Also:
    `MetadataPackage.getDocumentRoot_XSISchemaLocation()`

### getDocumentEntry

    DocumentEntryType getDocumentEntry()

  Returns the value of the 'Document Entry' containment reference.

  If the meaning of the 'Document Entry' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Document Entry' containment reference.
  See Also:
    `setDocumentEntry(DocumentEntryType)`, `MetadataPackage.getDocumentRoot_DocumentEntry()`

### setDocumentEntry

    void setDocumentEntry(DocumentEntryType value)

  Sets the value of the '`Document Entry`' containment reference.

  Parameters:
    `value` - the new value of the 'Document Entry' containment reference.
  See Also:
    `getDocumentEntry()`

### getFolder

    FolderType getFolder()

  Returns the value of the 'Folder' containment reference.

  If the meaning of the 'Folder' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Folder' containment reference.
  See Also:
    `setFolder(FolderType)`, `MetadataPackage.getDocumentRoot_Folder()`

### setFolder

    void setFolder(FolderType value)

  Sets the value of the '`Folder`' containment reference.

  Parameters:
    `value` - the new value of the 'Folder' containment reference.
  See Also:
    `getFolder()`

### getMultipleDocumentSet

    MultipleDocumentSetType getMultipleDocumentSet()

  Returns the value of the 'Multiple Document Set' containment reference.

  If the meaning of the 'Multiple Document Set' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Multiple Document Set' containment reference.
  See Also:
    `setMultipleDocumentSet(MultipleDocumentSetType)`, `MetadataPackage.getDocumentRoot_MultipleDocumentSet()`

### setMultipleDocumentSet

    void setMultipleDocumentSet(MultipleDocumentSetType value)

  Sets the value of the '`Multiple Document Set`' containment reference.

  Parameters:
    `value` - the new value of the 'Multiple Document Set' containment reference.
  See Also:
    `getMultipleDocumentSet()`

### getProvideAndRegisterDocumentSet

    ProvideAndRegisterDocumentSetType getProvideAndRegisterDocumentSet()

  Returns the value of the 'Provide And Register Document Set' containment reference.

  If the meaning of the 'Provide And Register Document Set' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Provide And Register Document Set' containment reference.
  See Also:
    `setProvideAndRegisterDocumentSet(ProvideAndRegisterDocumentSetType)`, `MetadataPackage.getDocumentRoot_ProvideAndRegisterDocumentSet()`

### setProvideAndRegisterDocumentSet

    void setProvideAndRegisterDocumentSet(ProvideAndRegisterDocumentSetType value)

  Sets the value of the '`Provide And Register Document Set`' containment reference.

  Parameters:
    `value` - the new value of the 'Provide And Register Document Set' containment reference.
  See Also:
    `getProvideAndRegisterDocumentSet()`

### getSubmissionSet

    SubmissionSetType getSubmissionSet()

  Returns the value of the 'Submission Set' containment reference.

  If the meaning of the 'Submission Set' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Submission Set' containment reference.
  See Also:
    `setSubmissionSet(SubmissionSetType)`, `MetadataPackage.getDocumentRoot_SubmissionSet()`

### setSubmissionSet

    void setSubmissionSet(SubmissionSetType value)

  Sets the value of the '`Submission Set`' containment reference.

  Parameters:
    `value` - the new value of the 'Submission Set' containment reference.
  See Also:
    `getSubmissionSet()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD